<?php $type=array('1'=>'ПРИХОД' , '2'=>'ВОЗВРАТ ПРИХОДА', '-1'=>'ВНЕСЕНИЕ В КАССУ', '-2'=>'ИЗЪЯТИЕ ИЗ КАССЫ') ?>
<h1><?= ($page_data['title']) ?> № <?= ($receipt['id']) ?></h1>
<div align="center">
	<div class="ticket">
		<p align="center">КАССОВЫЙ ЧЕК</p>
		<p><?= ($type[$receipt['type']]) ?></p>
		<table width="100%">
		<?php if (count($receipt['receiptlines'])>0): ?>
			<?php foreach (($receipt['receiptlines']?:[]) as $line): ?>
			<tr>
				<td>
					<?= ($line['product_title'])."
" ?>
				</td>
				<td width="25" align="right">				
					<?php $price=$line['price']+($line['price']*($line['vat']/100))*max(0, $line['vat_type']) ?>
					<?php $price=round($price, 2) ?>
					<?php $price-=$price*($line['discount']/100) ?>
					<?= (number_format($price, 2, '.', ''))."
" ?>
				</td>
				<td width="5" align="right">
					X
				</td>
				<td width="25" align="right">
					<?= (number_format($line['count'], 3, '.', ''))."
" ?>
				</td>
				<td width="5" align="right">
					&equiv;
				</td>
				<td width="25" align="right">
					<?php $total=$price*$line['count'] ?>
					<?= (number_format($total, 2, '.', ''))."
" ?>
				</td>
			</tr>
				<?php if ($line['vat_type']!=0): ?>
			<tr>
				<td colspan="3">
					НДС
				</td>
				<td align="right">
					<?= (number_format($line['vat'], 2, '.', '')) ?>%
				</td>
				<td align="right">
					&equiv;
				</td>
				<td align="right">
					<?php $vp=(($line['price']/(100+$line['vat']*abs(min(0, $line['vat_type']))))*$line['vat'])*$line['count'] ?>
					<?php $vp=round($vp, 2) ?>
					<?= (number_format($vp, 2, '.', ''))."
" ?>
					<?php $vat[$line['vat']]+=$vp ?>
				</td>
			</tr>
				<?php endif; ?>
			<?php endforeach; ?>
		<?php endif; ?>
			<tr>
				<td colspan="4">
					Всего
				</td>
				<td width="5" align="right">
					&equiv;
				</td>
				<td width="25" align="right">
					<?= (number_format(abs($receipt['sum']), 2, '.', ''))."
" ?>
				</td>
			</tr>
			<tr>
				<td colspan="4">
					<big>ИТОГ</big>
				</td>
				<td width="5" align="right">
					<big>&equiv;</big>
				</td>
				<td width="25" align="right">
					<big><?= (number_format(abs($receipt['sum']), 2, '.', '')) ?></big>
				</td>
			</tr>
		</table>
		<p>ОПЛАТА</p>
		<?php $cash=0 ?>
		<table width="100%">
		<?php foreach (($receipt['paymentmethods']?:[]) as $method): ?>
			<tr>
				<td>
					<?= ($paymentmethods[$method['method']])."
" ?>
				</td>
				<td width="5" align="right">
					&equiv;
				</td>
				<td width="25" align="right">
					<?= (number_format(abs($method['sum']), 2, '.', ''))."
" ?>
					<?php $cash+=abs($method['sum']) ?>
				</td>
			</tr>
		<?php endforeach; ?>
			<tr>
				<td>
					ПОЛУЧЕНО
				</td>
				<td width="5" align="right">
					&equiv;
				</td>
				<td width="25" align="right">
					<?php $cash=round($cash, 2) ?>
					<?= (number_format($cash, 2, '.', ''))."
" ?>
				</td>
			</tr>
			<tr>
				<td>
					СДАЧА
				</td>
				<td width="5" align="right">
					&equiv;
				</td>
				<td width="25" align="right">
					<?php $receipt['sum']=round($receipt['sum'], 2) ?>
					<?= (number_format($cash-abs($receipt['sum']), 2, '.', ''))."
" ?>
				</td>
			</tr>
		</table>
		<table width="100%">
			<tr>
				<td width="40">
					СНО
				</td>
				<td align="right">
					<?php $sno=array('01'=>'ОСН','02'=>'УСН','04'=>'УСН','08'=>'ЕНВД','10'=>'ЕСХН ','20'=>'Патент') ?>
					<?= ($sno[$fr['sno']])."
" ?>
				</td>
			</tr>
		<?php if ($vat): ?>
			<tr>
				<td width="40">
					НДС
				</td>
				<td align="right">
					<?php foreach (($vat?:[]) as $p=>$v): ?>
					<?= (number_format($p, 2, '.', '')) ?>% = <?= (number_format($v, 2, '.', ''))."
" ?>
					<?php endforeach; ?>
				</td>
			</tr>
		<?php endif; ?>
		</table>
		<p>
			Кассир <?= ($receipt['short_name'])."
" ?>
		</p>
		<p>
			Смена <?= ($receipt['changes'])."
" ?>
		</p>
		<table width="100%">
			<?php if ($receipt['client']): ?>
			<tr>
				<td>
					<?= (mb_strpos($receipt['client'], '@')>0?'Адрес':'Телефон') ?> покупателя
				</td>
				<td align="right">
					<?= ($receipt['client'])."
" ?>
				</td>
			</tr>
			<?php endif; ?>
			<tr>
				<td>
					Чек №
				</td>
				<td align="right">
					<?= ($receipt['id'])."
" ?>
				</td>
			</tr>
		</table>
		<p><?= (date('d-m-Y H:i', $receipt['time'])) ?></p>
	</div>
</div>
<br>
<?php if ($receipt['type']==1): ?>
<p align="center">
	<a href="/receipts/return?id=<?= ($receipt['id']) ?>">
		<input type="button" value="Создать Возвратный чек">
	</a>
</p>
<?php endif; ?>