<form name="receipts_return_form" method="POST" action="/receipts/return">
	<input type="hidden" name="id" value="<?= ($GET['id']) ?>">
	<input type="hidden" name="type" value="2">
	<input type="hidden" name="discount" value="0">
	<div id="return_paymentmethods" class="return_paymentmethods_<?= (count($receipt['paymentmethods'])) ?>">
		<div class="popup_area">
			<div class="close_button">&#10060;</div>
			<p align="center">
				<big>Способ возврата денег <big class="noshow_2">- <span><?= ($paymentmethods[$receipt['paymentmethods'][0]['method']]) ?></span></big></big>
			</p>
			<p class="right noshow_1">Осталось <big id="return_add_pay">0.00</big></p>
			<p>К возврату: <big class="return_sum">0.00</big></p>
			<table class="noshow_1">
			<?php foreach (($receipt['paymentmethods']?:[]) as $p): ?>
				<tr>
					<td width="150">
						<?php $p['sum']=round($p['sum'], 2) ?>
						<?= ($paymentmethods[$p['method']]) ?>:<br>
						<span class="false error_<?= ($p['method']) ?>" style="display: none;">Максимально <?= (number_format($p['sum'], 2, '.', '')) ?></span>
					</td>
					<td>
						<input type="text" name="client_sum[<?= ($p['method']) ?>]" class="client_sum mixed_pay mixed_pay_<?= ($p['method']) ?>" pid=<?= ($p['method']) ?> autocomplete="off" value="" max="<?= (number_format($p['sum'], 2, '.', '')) ?>">
						<input type="hidden" name="paymentmethod[]" value="<?= ($p['method']) ?>">
					</td>
				</tr>
			<?php endforeach; ?>
			</table>
			<p class="false" align="center">Верните деньги клиенту и нажмите "Готово"</p>
			<div align="center" class="noshow_1">
				<div class="virtual_keyboard">
					<input type="button" class="virtual_key_delete" for='mixed_pay_<?= ($paymentmethods[0]["id"]) ?>' value="CE">
					<input type="button" class="virtual_key" value='7' for='mixed_pay_<?= ($paymentmethods[0]["id"]) ?>'>
					<input type="button" class="virtual_key" value='8' for='mixed_pay_<?= ($paymentmethods[0]["id"]) ?>'>
					<input type="button" class="virtual_key" value='9' for='mixed_pay_<?= ($paymentmethods[0]["id"]) ?>'>
					<input type="submit" value="Готово" disabled="true">
					<br>
					<button type="button" class="virtual_key_bks" for='mixed_pay_<?= ($paymentmethods[0]["id"]) ?>'>
						<i class="fas fa-long-arrow-alt-left"></i>
					</button>
					<input type="button" class="virtual_key" value='4' for='mixed_pay_<?= ($paymentmethods[0]["id"]) ?>'>
					<input type="button" class="virtual_key" value='5' for='mixed_pay_<?= ($paymentmethods[0]["id"]) ?>'>
					<input type="button" class="virtual_key" value='6' for='mixed_pay_<?= ($paymentmethods[0]["id"]) ?>'>
					<br>
					<input type="button" class="virtual_key" value='0' for='mixed_pay_<?= ($paymentmethods[0]["id"]) ?>'>
					<input type="button" class="virtual_key" value='1' for='mixed_pay_<?= ($paymentmethods[0]["id"]) ?>'>
					<input type="button" class="virtual_key" value='2' for='mixed_pay_<?= ($paymentmethods[0]["id"]) ?>'>
					<input type="button" class="virtual_key" value='3' for='mixed_pay_<?= ($paymentmethods[0]["id"]) ?>'>
					<input type="button" class="virtual_key" value='.' for='mixed_pay_<?= ($paymentmethods[0]["id"]) ?>'>
				</div>
			</div>
			<p align="center" class="noshow_2">
				<input type="submit" value="Готово" disabled="true">
			</p>
		</div>
	</div>
<table width="100%">
	<tr>
		<th width="50%" colspan="4">
			Чек № <?= ($receipt['id'])."
" ?>
		</th>
		<th colspan="4">
			Подлежит возврату
		</th>
	</tr>
	<tr>
		<td colspan="4" class="receiptlines" valign="top">
			<table class="work_table">
				<tr>
					<th>
						Наименование
					</th>
					<th width="100">
						Цена
					</th>
					<th width="100">
						Кол-во
					</th>
					<th width="100">
						Итого
					</th>
				</tr>
			</table>
			<div class="receiptlines_div">
				<table class="work_table big_table">
					<?php foreach (($receipt['receiptlines']?:[]) as $n=>$line): ?>
						<tr class="line <?= ($n==0?'select_line':'') ?>" id="line_<?= ($line['id']) ?>">
							<td>
								<?php $price=$line['price']+($line['price']*($line['vat']/100))*max(0, $line['vat_type']) ?>
								<?php $price-=$price*($line['discount']/100) ?>
								<?php $price=round($price, 2) ?>
								<input type="radio" name="line" value="<?= ($line['id']) ?>" count="<?= ($line['count']) ?>" vprice="<?= (number_format($price, 2, '.', '')) ?>" price="<?= (number_format($line['price'], 2, '.', '')) ?>" discount="<?= ($line['discount']) ?>" vat="<?= ($line['vat']) ?>" vat_type="<?= ($line['vat_type']) ?>" product_id="<?= ($line['product_id']) ?>" <?= ($n==0?"checked=checked":'') ?>>
								<span class="small product_title"><?= ($line['product_title']) ?></span>
							</td>
							<td align="center" width="100">
								<?= (number_format($price, 2, '.', ''))."
" ?>
							</td>
							<td align="center" width="100">
								<?php $count+=$line['count'] ?>
								<?= (number_format($line['count'], 3, '.', ''))."
" ?>
							</td>
							<td align="right" width="100">
								<?php $total=$price*$line['count'] ?>
								<?php $sum+=$total ?>
								<?= (number_format($total, 2, '.', ''))."
" ?>
							</td>
						</tr>
					<?php endforeach; ?>
				</table>
			</div>
			<table class="work_table total_table">
				<tr>
					<td height="84">
						<b>Итого</b>
					</td>
					<td align="center" width="100">
						<b><?= (number_format($count, 3, '.', '')) ?></b>
					</td>
					<td align="right" width="100" height="50">
						<b><?= (number_format($sum, 2, '.', '')) ?></b>
					</td>
				</tr>
			</table>
		</td>
		<td valign="top" class="receiptlines">
			<table class="work_table">
				<tr>
					<th>
						Наименование
					</th>
					<th width="100">
						Цена
					</th>
					<th width="100">
						Кол-во
					</th>
					<th width="100">
						Итого
					</th>
					<td width="50">
					</td>
				</tr>
			</table>
			<div class="receiptlines_div">
				<table class="work_table big_table">
					<tr id="return_add"></tr>
				</table>
			</div>
			<table class="work_table total_table">
				<tr>
					<td>
						<b>Итого</b>
					</td>
					<td align="center" width="100">
						<b id="return_count">0.000</b>
					</td>
					<td align="right" width="100">
						<b class="return_sum">0.00</b>
					</td>
					<td width="50" align="center" height="50">
						<button type="button" class="line_control remove_return" for=".line_return">
							<i class="fas fa-times"></i>
							<small>чек</small>
						</button>
					</td>
				</tr>
			</table>
		</td>
	</tr>
</table>
<input type="text" class="return_count_input" autocomplete="off" placeholder="Кол-во">
<input type="button" class="return_ok"  value="OK">

<input type="button" class="right" name="save_return" value="Готово">
<input type="button" name="return_1" value="Вернуть +1">
<input type="button" name="return_str" value="Вернуть строку">
<input type="button" name="return_all" value="Вернуть всё">

</form>
<div class="virtual_keyboard virtual_keyboard_hide virtual_keyboard_return_count_input">
	<button type="button" class="virtual_key_bks" for='return_count_input'>
		<i class="fas fa-long-arrow-alt-left"></i>
	</button>
	<input type="button" class="virtual_key virtual_key_delete" for='return_count_input' value="CE">
	<br>
	<input type="button" class="virtual_key" value="7" for="return_count_input">
	<input type="button" class="virtual_key" value="8" for="return_count_input">
	<input type="button" class="virtual_key" value="9" for="return_count_input">
	<br>
	<input type="button" class="virtual_key" value="4" for="return_count_input">
	<input type="button" class="virtual_key" value="5" for="return_count_input">
	<input type="button" class="virtual_key" value="6" for="return_count_input">
	<br>
	<input type="button" class="virtual_key" value="1" for="return_count_input">
	<input type="button" class="virtual_key" value="2" for="return_count_input">
	<input type="button" class="virtual_key" value="3" for="return_count_input">
	<br>
	<input type="button" class="virtual_key virtual_null" value="0" for="return_count_input">
	<input type="button" class="virtual_key" value="." for="return_count_input">
</div>