<?php
namespace Models;

// Модель клиентов
class Partners extends \DB\SQL\Mapper {
	public $db, $f3;

	public function __construct($db, $f3) {
		parent::__construct($db, 'partners' ); // подключаемся к таблице клиентов
		$this->db=$db;
		$this->f3=$f3;
	}

	// Выбор из базы
	function select_partner($query=null, $options=null) {
		$partners=array();
		$this->load($query, $options);
		if($this->dry()) {
			return $partners;
		}
		do {
			$partners[]=$this->cast();
		}
		while($this->skip());
		$this->reset();
		return $partners;
	}

	// Убрать клиента из чека
	function remove_partner() {
		$this->f3->clear('COOKIE.partner_id');
		$this->f3->clear('COOKIE.partner_name');
		$this->f3->clear('COOKIE.partner_contact');
		$this->f3->clear('COOKIE.discount');
		return array(
			'success'=>true,
			'txt'=>'save_successful',
			'reload'=>'.receiptlines',
			'close_all_window'=>true
		);
	}
}