<?php $type=array('1'=>'Продажа', '2'=>'Возврат', '-1'=>'Внесение', '-2'=>'Изъятие') ?>
<table width="100%">
	<tr>
		<td valign="top">
			<?php echo $this->render('pagination.htm',NULL,get_defined_vars(),0); ?>
			<table class="work_table big_table">
				<tr>
					<th width="50">
						№
					</th>
					<th width="100">
						Дата
					</th>
					<th width="100">
						Тип
					</th>
					<th>
						Кассир
					</th>
					<th width="100">
						Смена
					</th>
					<th width="100">
						Сумма
					</th>
					<th width="100">
					</th>
				</tr>
				<?php foreach (($receipts?:[]) as $receipt): ?>
				<tr>
					<td align="center">
						<?= ($receipt['id'])."
" ?>
					</td>
					<td align="center">
						<?= (date('d.m.Y H:i:s', $receipt['time']))."
" ?>
					</td>
					<td align="center">
						<?= ($type[$receipt['type']])."
" ?>
					</td>
					<td>
						<?= ($receipt['short_name']) ?><br>
						<small class="gray">(<?= ($receipt['title']) ?>)</small>
					</td>
					<td align="center">
						<?= ($receipt['changes']) ?><br>
					</td>
					<td align="center">
						<?= (number_format(abs($receipt['sum']), 2, '.', ''))."
" ?>
					</td>
					<td align="center">
						<button class="show_window" href="/receipts/show?id=<?= ($receipt['id']) ?>" title="Просмотр">
							<i class="fas fa-search"></i>
						</button>
						<?php if ($receipt['type']==1): ?>
						<a href="/receipts/return?id=<?= ($receipt['id']) ?>" title="Возврат">
							<button type="button">
								<i class="fas fa-undo"></i>
							</button>
						</a>
						<?php endif; ?>
					</td>
				</tr>
				<?php endforeach; ?>
			</table>

		</td>
		<td width="324" valign="top">
			<form name="receipts_search_form" class="no_ajax" method="GET" action="/receipts/search">
				<input type="text" name="id" class="receipt_id" value="<?= ($GET['id']) ?>" autofocus autocomplete="off" placeholder="Номер чека">
				<br>
				<input type="text" name="changes" class="changes_id" value="<?= ($GET['changes']) ?>" autofocus autocomplete="off" placeholder="Номер смены">
				<br>
				<input type="text" name="barcode" class="barcode" value="<?= ($GET['barcode']) ?>" autocomplete="off" placeholder="Штрих-код товара">
				<br>
				<input type="text" name="dates" value="<?= ($GET['dates']) ?>" autocomplete="off" placeholder="Период">
				<br>
				<select name="type">
					<option value="">Все чеки</option>
					<option value="1" <?= ($GET['type']==1?'selected="selected"':'') ?>>Продажи</option>
					<option value="2" <?= ($GET['type']==2?'selected="selected"':'') ?>>Возвраты</option>
					<option value="-1" <?= ($GET['type']==-1?'selected="selected"':'') ?>>Внесение</option>
					<option value="-2" <?= ($GET['type']==-2?'selected="selected"':'') ?>>Изъятие</option>
				</select>
				<div class="virtual_keyboard">
					<button type="submit">
						<i class="fas fa-search"></i>
					</button>
					<input type="button" class="virtual_key" value='7' for='receipt_id'>
					<input type="button" class="virtual_key" value='8' for='receipt_id'>
					<input type="button" class="virtual_key" value='9' for='receipt_id'>
					<br>
					<input type="button" class="virtual_key" value='4' for='receipt_id'>
					<input type="button" class="virtual_key" value='5' for='receipt_id'>
					<input type="button" class="virtual_key" value='6' for='receipt_id'>
					<br>
					<input type="button" class="virtual_key" value='1' for='receipt_id'>
					<input type="button" class="virtual_key" value='2' for='receipt_id'>
					<input type="button" class="virtual_key" value='3' for='receipt_id'>
					<br>
					<input type="button" class="virtual_key" value='0' for='receipt_id'>
					<input type="button" class="virtual_key virtual_key_delete" for='receipt_id' value="CE">
					<button type="button" class="virtual_key_bks" for='receipt_id'>
						<i class="fas fa-long-arrow-alt-left"></i>
					</button>
				</div>
			</form>
		</td>
	</tr>
</table>
<script type="text/javascript" src="/ui/scripts/moment.min.js"></script>
<script type="text/javascript" src="/ui/scripts/daterangepicker.min.js"></script>
<link rel="stylesheet" type="text/css" href="/ui/css/daterangepicker.css" />
<script>
calendar($('input[name="dates"]'));
</script>